Create scanned document upload

Summary

  • Source repository: jef-systems/jef-accounting-backend

  • Source SHA: eaca6413a00fd211146c504137047c3d327f687b

  • Source run id: 31404676080

  • Module: Accounting

  • Lambda function: jef-accounting-create-scanned-document-upload

  • HTTP method: POST

  • Invocation mode: sync

  • Package mode: no-package

  • API category: Accounting Complex Sync No Package POST APIs

  • API path: /accounting/complex-sync-no-packages/jef-accounting-create-scanned-document-upload

  • Endpoint URL: https://api.jefoffice.com/accounting/complex-sync-no-packages/jef-accounting-create-scanned-document-upload

  • Documentation scope: lambda-complex-sync-no-packages

Synchronous Lambda Complex Rule

This API is documented as a synchronous Lambda complex no-package API. API Gateway waits for the Lambda result and returns the final Lambda response.

Description

Creates a server-owned scanned-document reservation for the supplied jsin and form name and returns a temporary PDF upload URL.

Payload Example

{
  "jsin": "1513",
  "form_name": "journal_voucher"
}

Payload Schema

{
  "root": {
    "type": "M",
    "required": true,
    "additional_properties": false,
    "attributes": {
      "jsin": {
        "type": "S",
        "required": true,
        "regex": "^[0-9]{4}$"
      },
      "form_name": {
        "type": "S",
        "required": true,
        "regex": "^[a-z][a-z0-9_-]{1,127}$"
      }
    }
  }
}

Response Schema

{
  "root": {
    "type": "M",
    "required": true,
    "additional_properties": false,
    "attributes": {
      "document_name": {
        "type": "S",
        "required": false
      },
      "upload_url": {
        "type": "S",
        "required": false
      },
      "expires_in_seconds": {
        "type": "N",
        "required": false,
        "integer": true
      },
      "error_code": {
        "type": "S",
        "required": false
      },
      "message": {
        "type": "S",
        "required": false
      }
    }
  }
}

Request Payload

{
  "jsin": "1513",
  "form_name": "journal_voucher"
}

CMD curl

curl.exe -X POST "https://api.jefoffice.com/accounting/complex-sync-no-packages/jef-accounting-create-scanned-document-upload" -H "Content-Type: application/json" --data-raw '{}'

PowerShell curl

curl.exe -X POST "https://api.jefoffice.com/accounting/complex-sync-no-packages/jef-accounting-create-scanned-document-upload" -H "Content-Type: application/json" --data-raw '{}'